local BulkInviter = Apollo.GetPackage("Gemini:Addon-1.1").tPackage:NewAddon("BulkInviter", true)

local L

local Apollo = Apollo
local ChatSystemLib = ChatSystemLib


function BulkInviter:OnInitialize()
	--initialize Localization
	L = Apollo.GetPackage("Gemini:Locale-1.0").tPackage:GetLocale("BulkInviter", true)
	
	Apollo.RegisterSlashCommand("inv", "SlashHandler", self)
	Apollo.RegisterSlashCommand("binv", "SlashHandler", self)
end

function BulkInviter:OnEnable()
	
end

function BulkInviter:OnDisable()

end

function BulkInviter:SlashHandler(cmd, message)
	if cmd ~= "inv" and cmd ~= "binv" then return end
	if message == "" then return end
	tInvites = self:splitt(" ", message)
	
	for i = 1, #tInvites do
		ChatSystemLib.Command(("/%s %s"):format(L["commandInvite"], tInvites[i]))
	end
end

function BulkInviter:splitt(sDivider, sString)
    if (sDivider == '') then
		return false
	end
    local pos , arr = 0, {}
    for st, sp in function() return string.find(sString, sDivider, pos, true) end do
        table.insert(arr, string.sub(sString, pos, st-1))
        pos = sp + 1
    end
    table.insert(arr, string.sub(sString, pos))
    return arr
end
